Read customer-visible Assistant message history
curl --request GET \
--url https://api.kadoa.com/v5/agent/workflows/{workflowId}/timelineimport requests
url = "https://api.kadoa.com/v5/agent/workflows/{workflowId}/timeline"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kadoa.com/v5/agent/workflows/{workflowId}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "<string>",
"time": "2023-11-07T05:31:56Z",
"kind": "user_message",
"role": "user",
"text": "<string>",
"authorId": "<string>"
}
],
"pagination": {
"nextCursor": "<string>",
"hasMore": true
}
},
"status": "success"
}Kadoa Assistant
Get Workflow Assistant timeline
Returns user messages, Assistant messages, and clarification questions from the latest Lighthouse/Shelly or Julie customer thread. Internal and operations lanes are never selectable.
GET
/
v5
/
agent
/
workflows
/
{workflowId}
/
timeline
Read customer-visible Assistant message history
Path Parameters
Query Parameters
Opaque nextCursor from a previous response, used to read older messages.
Required range:
1 <= x <= 100⌘I